package com.tzld.piaoquan.recommend.feature.web;

import com.tzld.piaoquan.recommend.feature.domain.video.base.UserFeatureInfo;
import com.tzld.piaoquan.recommend.feature.domain.video.base.VideoFeatureInfo;
import com.tzld.piaoquan.recommend.feature.service.UserAndVideoFeatureService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author sunxy
 */
@RestController
@RequestMapping("/feature")
public class UserAndVideoFeatureController {

    @Resource
    private UserAndVideoFeatureService userAndVideoFeatureService;

    @RequestMapping("/getUserFeature")
    public List<UserFeatureInfo> getUserFeature(List<String> mids) {
        return userAndVideoFeatureService.queryUserFeature(mids);
    }

    @RequestMapping("/getVideoFeature")
    public List<VideoFeatureInfo> getVideoFeature(List<Long> videoIds) {
        return userAndVideoFeatureService.queryVideoFeature(videoIds);
    }

}
